Name: H5Tenum_valueof
Signature:
  herr_t `H5Tenum_valueof`( hid_t `type`, char *`name`, void *`value` )
Purpose:
  Returns the value corresponding to a specified member of an enumeration datatype.
Description:
  `H5Tenum_valueof` finds the value that corresponds to the specified `name` of the enumeration datatype `type`.

  The `value` argument should be at least as large as the value of `H5Tget_size(type)` in order to hold the result.

Parameters:

hid_t `type` | IN: Enumeration datatype identifier.
const char *`name` | IN: Symbol name of the enumeration datatype.
void *`value` | OUT: Buffer for output of the value of the enumeration datatype.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5tenum_valueof_f

      SUBROUTINE h5tenum_valueof_f(type_id,  name, value, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        CHARACTER(LEN=*), INTENT(IN) :: name  ! Name of the enumeration datatype
        INTEGER, INTENT(OUT) :: value         ! Value of the enumeration datatype
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
      END SUBROUTINE h5tenum_valueof_f